%define fname gost
%define ttfdir %_datadir/fonts/default/TrueType-%fname

Name: %fname-fonts-ttf
Version: 7.2
Release: alt1

Summary: GOST TrueType fonts
Summary (ru_RU.KOI8-R):  GOST TrueType

License: restricted
Group: System/Fonts/True type
Url: http://www.kompas.kolomna.ru/main/download.htm

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-%version.tar.bz2
Source2: %name-README

BuildArch: noarch

BuildPreReq: ttmkfdir
Provides: ascon-fonts-ttf
PreReq: chkfontpath fontconfig

%description
Standart GOST font. GOST 2.304-81
Pay attention to copyright issues before
any commercial use this fonts.
Copyright (c) 1996-2005. ASCON. All Rights Reserved.

%description -l ru_RU.KOI8-R
 GOST      2.304-81.
   , ,     .
 ( 488  ).
        "" (c) 1996-2005
 
%prep
%setup
cp %SOURCE2 README.koi8-r.txt

%install
mkdir -p %buildroot%ttfdir
%_sbindir/ttmkfdir -f %fname -o ./fonts.dir >& /dev/null
install -p -m644 *.ttf %buildroot%ttfdir
install -p -m644 fonts.dir %buildroot%ttfdir/fonts.dir

cd %buildroot%ttfdir
touch fonts.cache-1

%post
%_bindir/fc-cache %ttfdir
%_sbindir/chkfontpath -q --add %ttfdir

%postun
%_sbindir/chkfontpath -q --remove %ttfdir
		
%files
%doc README.koi8-r.txt
%dir %ttfdir
%ttfdir/*.ttf
%config %ttfdir/fonts.cache-1
%config %ttfdir/fonts.dir

%changelog
* Wed May 18 2005 Vitaly Lipatov <lav@altlinux.ru> 7.2-alt1
- updated version
- add SYMBOL_A, SYMBOL_B fonts (for ASCON products)

* Sat Jan 15 2005 Vitaly Lipatov <lav@altlinux.ru> 1.6553-alt2
- rebuild with ttmkfdir
- spec fixes
- removed link to encodings.dir

* Tue Oct 19 2004 Vitaly Lipatov <lav@altlinux.ru> 1.6553-alt1
- first ALTLinux build
